# LiteXiv

A free frontend for pixiv that aims to create a simple yet sufficient user interface for browsing illustrations and mangas.

## Features

- Simple and lightweight interface;
- No JavaScript required;
- Settings for instance owner and users to hide NSFW content;
- *Super* Safe For Work mode (hides R-15 content).

## Installation

Read [INSTALL.md](INSTALL.md) for installation guide.

To update LiteXiv, `cd` into the codebase and `git pull`.

## Instances

| Address | Cloudflare? | Notes |
| - | - | - |
| https://litexiv.exozy.me | No | Official instance |

## See Also

You should also check out VnPower's [PixivFE](https://codeberg.org/VnPower/pixivfe)! It is a modern-looking frontend that provides many more features than LiteXiv.

This project was greatly inspired by [freexiv](https://codeberg.org/PrivacyDev/freexiv) and [vixip](https://gitler.moe/suwako/vixip.git). Also worthy a look!

## License

This program is licensed under the GNU Affero General Public License, version 3. Check [LICENSE](LICENSE) or [gnu.org](https://www.gnu.org/licenses/agpl-3.0.html) for a copy of the license.
