<?php
require_once './include/utils.php';

$discovery = json_decode(
	get(sprintf(DISCOVERY_URL, RECOMMEND_LIMIT))
)->body->thumbnails->illust;

if (!$discovery) {
	die_with_message(
		'Request Failed',
		'Failed to fetch recommended artworks.'
	);
}

render_page_header('Discovery');
?>

<div class="container">
	<h1>Discovery</h1>
	<?php render_artworks_grid($discovery); ?>
</div>

<?php
render_page_footer();
